<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__gapc__scan__params__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_gapc_scan_params_t</compoundname>
    <includes local="no">cy_ble_gap.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__gapc__scan__params__t_1a7803341c402624938740a2b9a076bcad" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_ble_gapc_scan_params_t::fastScanInterval</definition>
        <argsstring />
        <name>fastScanInterval</name>
        <briefdescription>
<para>The scan interval when operating in Fast connection. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gap.h" bodystart="305" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gap.h" line="305" />
      </memberdef>
      <memberdef id="structcy__stc__ble__gapc__scan__params__t_1a98f9c0f7af3065c1b81f5912787bae6f" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_ble_gapc_scan_params_t::fastScanWindow</definition>
        <argsstring />
        <name>fastScanWindow</name>
        <briefdescription>
<para>Defines the scan window when operating in Fast connection. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gap.h" bodystart="308" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gap.h" line="308" />
      </memberdef>
      <memberdef id="structcy__stc__ble__gapc__scan__params__t_1ae5800078cc4bd2887c23db346be83cc2" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_ble_gapc_scan_params_t::fastScanTimeOut</definition>
        <argsstring />
        <name>fastScanTimeOut</name>
        <briefdescription>
<para>The timeout value of scanning with fast scan parameters. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gap.h" bodystart="311" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gap.h" line="311" />
      </memberdef>
      <memberdef id="structcy__stc__ble__gapc__scan__params__t_1af6bf4db778eea55c6db0fb8d198635aa" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_gapc_scan_params_t::slowScanEnabled</definition>
        <argsstring />
        <name>slowScanEnabled</name>
        <briefdescription>
<para>Slow scan enable/disable. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gap.h" bodystart="314" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gap.h" line="314" />
      </memberdef>
      <memberdef id="structcy__stc__ble__gapc__scan__params__t_1acaf2a1dccb10ac9cc9a15e5276831bf0" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_ble_gapc_scan_params_t::slowScanInterval</definition>
        <argsstring />
        <name>slowScanInterval</name>
        <briefdescription>
<para>The scan interval when operating in Slow connection. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gap.h" bodystart="317" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gap.h" line="317" />
      </memberdef>
      <memberdef id="structcy__stc__ble__gapc__scan__params__t_1a80860898b5f825f18f749712872b96fa" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_ble_gapc_scan_params_t::slowScanWindow</definition>
        <argsstring />
        <name>slowScanWindow</name>
        <briefdescription>
<para>Defines the scan window when operating in Slow connection. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gap.h" bodystart="320" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gap.h" line="320" />
      </memberdef>
      <memberdef id="structcy__stc__ble__gapc__scan__params__t_1ad01308eba241482305dc431cd60d0d54" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_ble_gapc_scan_params_t::slowScanTimeOut</definition>
        <argsstring />
        <name>slowScanTimeOut</name>
        <briefdescription>
<para>The timeout value of scanning with Slow scan parameters. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gap.h" bodystart="323" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gap.h" line="323" />
      </memberdef>
      <memberdef id="structcy__stc__ble__gapc__scan__params__t_1a6da7eb3a91245b48f36f79058def36fb" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_ble_gapc_scan_params_t::gapcConnectionIntervalMin</definition>
        <argsstring />
        <name>gapcConnectionIntervalMin</name>
        <briefdescription>
<para>The minimum permissible connection time value to be used during a connection event. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gap.h" bodystart="326" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gap.h" line="326" />
      </memberdef>
      <memberdef id="structcy__stc__ble__gapc__scan__params__t_1ab82cf44cf5bef14f8e98172bfdba76b9" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_ble_gapc_scan_params_t::gapcConnectionIntervalMax</definition>
        <argsstring />
        <name>gapcConnectionIntervalMax</name>
        <briefdescription>
<para>The maximum permissible connection time value to be used during a connection event. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gap.h" bodystart="329" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gap.h" line="329" />
      </memberdef>
      <memberdef id="structcy__stc__ble__gapc__scan__params__t_1aa5af83bf08289e5fce5c607cd6278ffd" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_ble_gapc_scan_params_t::gapcConnectionSlaveLatency</definition>
        <argsstring />
        <name>gapcConnectionSlaveLatency</name>
        <briefdescription>
<para>Defines the maximum time between two received Data Packet PDUs before the connection is considered lost. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gap.h" bodystart="333" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gap.h" line="333" />
      </memberdef>
      <memberdef id="structcy__stc__ble__gapc__scan__params__t_1a8541c7a91ca494b0ff7df6dd32ea3722" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_ble_gapc_scan_params_t::gapcConnectionTimeOut</definition>
        <argsstring />
        <name>gapcConnectionTimeOut</name>
        <briefdescription>
<para>Defines the LE link supervision timeout interval. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gap.h" bodystart="336" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gap.h" line="336" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>GAPC advertising configuration parameters structure. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="337" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gap.h" bodystart="302" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_gap.h" line="303" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__gapc__scan__params__t_1a7803341c402624938740a2b9a076bcad" virt="non-virtual"><scope>cy_stc_ble_gapc_scan_params_t</scope><name>fastScanInterval</name></member>
      <member prot="public" refid="structcy__stc__ble__gapc__scan__params__t_1ae5800078cc4bd2887c23db346be83cc2" virt="non-virtual"><scope>cy_stc_ble_gapc_scan_params_t</scope><name>fastScanTimeOut</name></member>
      <member prot="public" refid="structcy__stc__ble__gapc__scan__params__t_1a98f9c0f7af3065c1b81f5912787bae6f" virt="non-virtual"><scope>cy_stc_ble_gapc_scan_params_t</scope><name>fastScanWindow</name></member>
      <member prot="public" refid="structcy__stc__ble__gapc__scan__params__t_1ab82cf44cf5bef14f8e98172bfdba76b9" virt="non-virtual"><scope>cy_stc_ble_gapc_scan_params_t</scope><name>gapcConnectionIntervalMax</name></member>
      <member prot="public" refid="structcy__stc__ble__gapc__scan__params__t_1a6da7eb3a91245b48f36f79058def36fb" virt="non-virtual"><scope>cy_stc_ble_gapc_scan_params_t</scope><name>gapcConnectionIntervalMin</name></member>
      <member prot="public" refid="structcy__stc__ble__gapc__scan__params__t_1aa5af83bf08289e5fce5c607cd6278ffd" virt="non-virtual"><scope>cy_stc_ble_gapc_scan_params_t</scope><name>gapcConnectionSlaveLatency</name></member>
      <member prot="public" refid="structcy__stc__ble__gapc__scan__params__t_1a8541c7a91ca494b0ff7df6dd32ea3722" virt="non-virtual"><scope>cy_stc_ble_gapc_scan_params_t</scope><name>gapcConnectionTimeOut</name></member>
      <member prot="public" refid="structcy__stc__ble__gapc__scan__params__t_1af6bf4db778eea55c6db0fb8d198635aa" virt="non-virtual"><scope>cy_stc_ble_gapc_scan_params_t</scope><name>slowScanEnabled</name></member>
      <member prot="public" refid="structcy__stc__ble__gapc__scan__params__t_1acaf2a1dccb10ac9cc9a15e5276831bf0" virt="non-virtual"><scope>cy_stc_ble_gapc_scan_params_t</scope><name>slowScanInterval</name></member>
      <member prot="public" refid="structcy__stc__ble__gapc__scan__params__t_1ad01308eba241482305dc431cd60d0d54" virt="non-virtual"><scope>cy_stc_ble_gapc_scan_params_t</scope><name>slowScanTimeOut</name></member>
      <member prot="public" refid="structcy__stc__ble__gapc__scan__params__t_1a80860898b5f825f18f749712872b96fa" virt="non-virtual"><scope>cy_stc_ble_gapc_scan_params_t</scope><name>slowScanWindow</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>